package com.jaytux.simd.frontend

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.*
import androidx.compose.foundation.lazy.LazyColumn
import androidx.compose.foundation.shape.CornerSize
import androidx.compose.material3.MaterialTheme
import androidx.compose.material3.Scaffold
import androidx.compose.material3.Surface
import androidx.compose.material3.Text
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.unit.dp
import com.jaytux.simd.frontend.ui.DataState
import com.jaytux.simd.frontend.ui.FilterColumn
import com.jaytux.simd.frontend.ui.IntrinsicColumn
import com.jaytux.simd.frontend.ui.topBar

@Composable
actual fun mainView(data: DataState) = Row {
    Surface(
        Modifier.weight(0.25f).fillMaxSize(),
        tonalElevation = 3.dp,
        shadowElevation = 3.dp,
        color = MaterialTheme.colorScheme.primary,
        shape = MaterialTheme.shapes.medium.copy(topStart = CornerSize(0.dp), topEnd = CornerSize(0.dp))
    ) {
        Column(Modifier.padding(5.dp)) {
            FilterColumn(data)
        }
    }
    Column(Modifier.weight(0.66f).padding(15.dp)) {
        IntrinsicColumn(data)
    }
}